#include <asm/unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include "luid.h"

main (int argc,char *argv[])
{
	int luid,p;

	if (argc!=2) {
		printf("Usage: %s <luid>\n",argv[0]);
		exit(1);
	}
	luid=atoi(argv[1]);
	if (setluid(luid)<0) {
		perror("setluid error");
		exit(2);
	}
	printf("getluid=%d\n",getluid());
	p=fork();
		if (p) {
			int stat;
			wait(&stat);
			execl("/bin/sh","/bin/sh",0);
			printf ("execl failed, exiting\n");
		} else {
			printf("child luid=%d\n",getluid());
			execl("getluid","getluid",0);
			exit(-1);
		}
	exit(3);
}
